Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- y
- z

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - b -

- b : Lucene::PorterStemmer
- base : Lucene::CSIndexInput , Lucene::SegmentMergeInfo , Lucene::MultiTermDocs
- BASE64_CHARS : Lucene::Base64
- beginColumn : Lucene::QueryParserToken
- beginLine : Lucene::QueryParserToken
- binaryLength : Lucene::AbstractField
- binaryOffset : Lucene::AbstractField
- BIT_SHIFT : Lucene::SortedVIntList
- bitlist : Lucene::OpenBitSetIterator
- bits : Lucene::BitVector , Lucene::Bucket , Lucene::OpenBitSet
- BITS2VINTLIST_SIZE : Lucene::SortedVIntList
- bitSet : Lucene::BitSet , Lucene::DocIdBitSet
- blockSize : Lucene::ByteBlockAllocator
- boost : Lucene::AbstractField , Lucene::Document , Lucene::FieldInvertState , Lucene::Query
- boosts : Lucene::MultiFieldQueryParser
- bottom : Lucene::NumericComparator< TYPE > , Lucene::StringComparatorLocale , Lucene::StringValComparator , Lucene::TopFieldCollector
- bottomOrd : Lucene::StringOrdValComparator
- bottomSlot : Lucene::StringOrdValComparator
- bottomValue : Lucene::StringOrdValComparator
- buckets : Lucene::BucketTable
- bucketTable : Lucene::BooleanScorer
- BUF_SIZE_INT : Lucene::NumericUtils
- BUF_SIZE_LONG : Lucene::NumericUtils
- buffer : Lucene::BufferedIndexInput , Lucene::BufferedIndexOutput , Lucene::BufferedReader , Lucene::ByteBlockPool , Lucene::ByteSliceReader , Lucene::CharBlockPool , Lucene::FastCharStream , Lucene::IntBlockPool , Lucene::MappingCharFilter , Lucene::StoredFieldsWriterPerDoc , Lucene::TermVectorsTermsWriterPerDoc
- BUFFER_SIZE : Lucene::BufferedIndexInput , Lucene::BufferedIndexOutput , Lucene::RAMInputStream , Lucene::RAMOutputStream
- bufferIndex : Lucene::CharTokenizer
- bufferIsFull : Lucene::DocumentsWriter
- bufferLength : Lucene::RAMInputStream , Lucene::BufferedIndexInput , Lucene::BufferedReader , Lucene::FastCharStream , Lucene::RAMOutputStream
- bufferOffset : Lucene::ByteSliceReader
- bufferPosition : Lucene::RAMOutputStream , Lucene::BufferedIndexOutput , Lucene::BufferedIndexInput , Lucene::BufferedReader , Lucene::FastCharStream , Lucene::RAMInputStream
- buffers : Lucene::ByteBlockPool , Lucene::CharBlockPool , Lucene::IntBlockPool , Lucene::RAMFile
- bufferSize : Lucene::BufferedIndexInput , Lucene::BufferedReader
- bufferStart : Lucene::BufferedIndexInput , Lucene::RAMOutputStream , Lucene::FastCharStream , Lucene::RAMInputStream , Lucene::BufferedIndexOutput
- bufferUpto : Lucene::ByteSliceReader , Lucene::CharBlockPool , Lucene::IntBlockPool , Lucene::ByteBlockPool
- byName : Lucene::FieldInfos
- byNumber : Lucene::FieldInfos
- BYTE : Lucene::SortField
- BYTE_BLOCK_MASK : Lucene::DocumentsWriter
- BYTE_BLOCK_NOT_MASK : Lucene::DocumentsWriter
- BYTE_BLOCK_SHIFT : Lucene::DocumentsWriter
- BYTE_BLOCK_SIZE : Lucene::DocumentsWriter
- BYTE_COUNTS : Lucene::BitVector
- byteBlockAllocator : Lucene::DocumentsWriter
- byteOffset : Lucene::ByteBlockPool
- bytePool : Lucene::TermsHashPerField , Lucene::TermsHashPerThread
- bytes : Lucene::TermBuffer , Lucene::SortedVIntList
- BYTES_PER_DEL_DOCID : Lucene::DocumentsWriter
- BYTES_PER_DEL_QUERY : Lucene::DocumentsWriter
- BYTES_PER_DEL_TERM : Lucene::DocumentsWriter
- BYTES_SIZE : Lucene::RawPostingList
- bytesPerPosting : Lucene::TermsHash
- byteStart : Lucene::RawPostingList
- bytesUsed : Lucene::BufferedDeletes
- byteUpto : Lucene::ByteBlockPool

clucene.sourceforge.net